.comments-header {
  width: 100%;
  display: inline-block;
  margin-bottom: 10px;
  margin-top: 35px;

  &-name {
    font-size: 22px;
    font-weight: 500;
    color: @basePurple;

    &-count {
      .borderCorner(3,3,3,3);
      background-color: @sidebarBackground;
      border: 1px solid @sidebarBorder;
      display: inline-block;
      color: lighten(@basePurple, 40%);
      font-size: 14px;
      padding-left: 4px;
      padding-right: 4px;
      padding-top: 5px;
      padding-bottom: 2px;
      margin-left: 10px;
      font-weight: 500;
    }

  }



  &-sorting {
    font-size: 14px;
    font-weight: 500;
    text-align: right;


    .button-sorting-comments {
      color: @basePurple;
      text-decoration: none;
      display: inline-block;
      margin-right: 25px;

      &:last-child {
        margin-right: 0;
      }

      &.active,
      &:hover {
        .trans(@second: 0.2s);
        color: @greenBase;
        text-decoration: none;
        cursor: pointer;
      }

    }

  }

}
.comments {

  #response-comment-form-content {
    margin-top: 15px;
    margin-bottom: 10px;
    padding-left: 10px;

    .btn {
      padding: 6px 12px;
    }

    .col-lg-3,
    .col-lg-9 {
      padding-left: 15px;
    }

    #description {
      padding-left: 10px;
    }

  }

  &.form {

    .borderCorner(5,5,5,5);
    background-color: @sidebarBackground;
    border: 1px solid @sidebarBorder;
    padding: 10px;
    margin-bottom: 20px;
    display: none;
    width: 100%;

    &.active {
      display: inline-block;

    }

    .form-control {
      border-color: fade(@sidebarBorder, 50%);
    }

    #post-comment-form,
    #post-comment-form-response{

      display: inline-block;
      width: 100%;

      #description {
        font-size: 14px;
        min-height: 110px;
        height: 110px;
        resize: none;
      }
      #payout {
        margin-top: 14px;
        padding-left: 2px;
        font-size: 14px;
      }

      #clear-post-comment,
      #submit-post-comment,
      #submit-response-comment {
        margin-top: 15px;
        outline: none;
      }

      #clear-post-comment {
        &:hover {
          .trans(0.2s);
          color: @greenBase;
          cursor: pointer;
        }
      }


    }

  }



  &-post {
    display: inline-block;
    width: 100%;

  }

  &-loading,
  &-null {
    position: relative;
    width: 100%;
    display: inline-block;
    padding-top: 25px;
    margin-bottom: 25px;
    padding-left: 25px;
    margin-left: 25px;
    font-size: 18px;
    font-weight: 500;
    color: lighten(@basePurple, 50%);
  }

  &-null {
    display: none;
    padding-left: 0;
    text-align: center;
    font-size: 14px;

    &.active {
      display: inline-block;
    }

  }

  &.stream-post {
    br {
      display: none;
    }
  }

  &.stream-post,
  &.account-comments {
    width: 100%;
    display: inline-block;
    margin-top: 25px;

    .comments-single {
      .borderCorner(5,5,5,5);
      padding: 10px;
      background-color: @white;
      box-shadow: @boxShadow;
      width: 100%;
      display: inline-block;
      border-bottom: none;

    }
  }

  &.post-comments {
    .borderCorner(5,5,5,5);
    padding: 10px;
    background-color: @white;
    box-shadow: @boxShadow;
    width: 100%;
    display: inline-block;

    .comment-replies {
      position: relative;
      padding-left: 50px;
      overflow: hidden;
      margin-top: 10px;
      padding-top: 15px;

      &:before {
        position: absolute;
        content: '';
        width: 100%;
        height: 1px;
        background-color: lighten(@border, 50%);
        top: 0;
      }

      &.comments-lists {
        border-bottom: transparent;
        padding-bottom: 0;
        margin-bottom: 0;
        /* Remove Tree */
        padding-left: 0;
      }

      .comments-single {
        .comments-single-content,
        .comments-single-footer {
          //padding-left: 50px !important;
        }
      }

      /* Remove Tree */
      .comments-lists * {
        padding-left: 0;

        .comment-replies * {
          padding-left: 0;
        }

        .comments-single-content * {
          padding-left: 50px !important;
        }
/*
        .comments-single-footer * {
          padding-left: 50px !important;
        }
*/

      }
      /* Remove Tree */
      .comment-replies * {
        padding-left: 0;
      }


    }

  }

  &-single {
    width: 100%;
    display: inline-block;
    margin-bottom: 25px;

    &.comments-lists,
    &.votes-lists,
    &.transfer {
      border-bottom: 1px solid lighten(@border, 50%);
      padding-bottom: 10px;
      margin-bottom: 15px;
    }

    &.votes-lists {
      &.post {
        padding-bottom: 5px;
        margin-bottom: 10px;

        &:last-child {
          padding-bottom: 0;
          margin-bottom: 0;
        }

      }
    }

    &.transfer {
      padding-bottom: 15px;
    }

    &:last-child {
      border-bottom: none;
      padding-bottom: 0;
      margin-bottom: 0;
    }

    &-re-title {
      width: 100%;
      display: inline-block;
      font-weight: 500;

      color: @basePurple;
      font-size: 14px;
      line-height: 18px;
      border-bottom: 1px solid lighten(@basePurple, 65%);
      margin-bottom: 15px;
      padding-bottom: 10px;

      a {
        color: @basePurple;
        text-decoration: none;

        &:hover {
          .trans(@second: 0.2s);
          color: lighten(@basePurple, 20%);
          text-decoration: none;

        }

      }

    }

    &-avatar,
    &-transfer {
      .borderCorner(5,5,5,5);
      background-color: @commentsAvatarBackground;
      float: left;
      width: 40px;
      height: 40px;
      background-size: cover;
      margin-right: 10px;

      &.votes-lists {
        width: 35px;
        height: 35px;
      }

    }

    &-transfer {
      text-align: center;
      line-height: 45px;
      .icon-badge {
        color: @greenBase;
        font-size: 20px;
      }
    }

    &-header {
      float: left;
      height: 40px;

      &-username,
      &-transfer {
        display: block;
        font-size: 14px;
        font-weight: 500;
        color: @greenBase;
        margin-bottom: 2px;

        &.transfer-username {
          display: inline-block;
          margin-left: 4px;
        }

        &:hover {
          .trans(@second: 0.2s);
          color: lighten(@greenBase, 5%);
          text-decoration: none;
        }

      }

      &-transfer {

        .fa-paper-plane {
          color: @basePurple;
          margin-right: 6px;
        }

        .transfer {
          display: inline-block;
          color: @basePurple;
        }
      }

      &-time {
        font-size: 14px;
        font-weight: 500;
        color: lighten(@basePurple, 50%);

        &.vote {
          &:hover {
            cursor: default;
          }
        }

        &:hover {
          .trans(@second: 0.2s);
          color: lighten(@text38, 5%);
          text-decoration: none;
        }

      }

    }

    &-vote-worth {
      margin-right: 15px;
    }

    &-vote-worth,
    &-vote {
      float: right;

      &-count {
        .borderCorner(3,3,3,3);
        font-size: 13px;
        font-weight: 400;
        color: @white;
        padding-left: 8px;
        padding-right: 8px;
        padding-bottom: 6px;
        padding-top: 5px;

        &.worth {
          background-color: transparent;
          color: @basePurple;
          font-weight: 500;
        }

        &.upVote,
        &.downVote {
          &.voteList {
            min-width: 48px;
            text-align: center;
          }
        }

        &.upVote {
          background-color: @greenBase;
        }
        &.downVote {
          background-color: #df4b38;
        }

      }

    }

    &-reward {
      float: right;

      ul {
        margin-bottom: 0;
        padding-left: 0;
        li {
          position: relative;
          list-style: none;
          display: inline-block;
          color: @basePurple;
          font-size: 14px;
          font-weight: 500;
          margin-right: 10px;
          padding-right: 15px;

          &.plus {
            color: @greenBase;
          }
          &.minus {
            color: @baseRed;
          }

          &:after {
            position: absolute;
            content: "•";
            font-size: 18px;
            opacity: .2;
            right: 0;
          }

          &:last-child {
            margin-right: 0;
            padding-right: 0;
            &:after {
              content: '';
            }
          }

        }

      }

    }

    &-content {
      width: 100%;
      display: inline-block;
      //padding-left: 50px;
      font-size: 14px;
      line-height: 20px;
      color: @text;
      word-break: break-word;
      margin-top: 10px;

      br {
        display: none;
      }

      p {
        &:last-child {
          margin-bottom: 0;
        }
      }

      img {
        max-width: 100%;
      }

      &-vote-link {
        color: @basePurple;
        margin-top: 10px;
        margin-bottom: 10px;
        font-weight: 500;
        line-height: 18px;

        a {
          color: @basePurple;
        }

      }

    }

    &-footer {
      //padding-left: 50px;
      width: 100%;
      display: inline-block;
      margin-top: 15px;

      .voteUp,
      .commentsCount,
      .commentsReport {

        .borderCorner(5,5,5,5);
        padding-left: 0;
        padding-top: 3px;
        padding-bottom: 3px;
        padding-right: 3px;
        color: @greenBase;
        font-size: 14px;
        display: inline-block;

        &.active {
          .fa-thumbs-o-up {
            background-color: @greenBase;
          }
        }

        &:hover {
          color: @white;
          cursor: pointer;

          .count {
            .trans(@second: 0.2s);
            color: @basePurple;
          }
          .fa-thumbs-o-up,
          .icon-bubble {
            .trans(@second: 0.2s);
            background-color: @basePurple;
          }
        }

        .count {
          font-size: 14px;
          font-weight: 500;
          margin-left: 8px;
          color: lighten(@basePurple, 50%);

        }

        .fa-thumbs-o-up,
        .icon-bubble {
          background-color: lighten(@basePurple, 50%);
          color: @white;
          font-size: 12px;
          border-radius: 50%;
          width: 20px;
          height: 20px;
          line-height: 20px;
          text-align: center;
          display: inline-block;
        }

      }

      .commentsReport,
      .commentsCount,
      .payout {
        position: relative;
        display: inline-block;
        font-size: 14px;
        font-weight: 500;
        margin-left: 5px;
        padding-left: 15px !important;
        color: lighten(@basePurple, 50%);

        &:before {
          position: absolute;
          content: '•';
          font-size: 18px;
          opacity: .4;
          left: 0;
        }

      }

      .commentsCount {
        .borderCorner(5,5,5,5);
        padding-top: 3px;
        padding-bottom: 3px;
        padding-right: 3px;
        color: @greenBase;
        font-size: 14px;
        display: inline-block;
        margin-left: 10px;
        padding-left: 15px;

        &:before {
          color: lighten(@basePurple, 50%);
          top: 6px;
        }

      }

      .commentResponse {
        position: relative;
        font-size: 14px;
        font-weight: 500;
        margin-left: 5px;
        padding-left: 15px !important;
        color: lighten(@basePurple, 50%);

        &:hover {
          .trans(@second: 0.2s);
          color: @basePurple;
          cursor: pointer;
        }

        &:before {
          position: absolute;
          content: '•';
          font-size: 18px;
          opacity: .4;
          left: 0;

          &:hover {
            opacity: .4;
          }

        }
      }

      .commentsReport {
        &:hover {
          .trans(@second: 0.2s);
          color: @basePurple;
          cursor: pointer;
        }
      }


    }

  }

}